Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network230.64.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
230.64.0.0
Broadcast address
230.127.255.255
First usable
230.64.0.1
Last usable
230.127.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E6400000 · Integer 3862953984 to 3867148287
Reverse DNS zones
64.230.in-addr.arpa
65.230.in-addr.arpa
66.230.in-addr.arpa
67.230.in-addr.arpa
68.230.in-addr.arpa
69.230.in-addr.arpa
70.230.in-addr.arpa
71.230.in-addr.arpa
72.230.in-addr.arpa
73.230.in-addr.arpa
74.230.in-addr.arpa
75.230.in-addr.arpa
76.230.in-addr.arpa
77.230.in-addr.arpa
78.230.in-addr.arpa
79.230.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100110.01000000.00000000.00000000230.64.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network11100110.01000000.00000000.00000000230.64.0.0
Broadcast11100110.01111111.11111111.11111111230.127.255.255
Split into smaller subnets/18

230.64.0.0/10 makes 256 subnets of /18.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1230.64.0.0/18230.64.0.1 to 230.64.63.254230.64.63.25516,382
2230.64.64.0/18230.64.64.1 to 230.64.127.254230.64.127.25516,382
3230.64.128.0/18230.64.128.1 to 230.64.191.254230.64.191.25516,382
4230.64.192.0/18230.64.192.1 to 230.64.255.254230.64.255.25516,382
5230.65.0.0/18230.65.0.1 to 230.65.63.254230.65.63.25516,382
6230.65.64.0/18230.65.64.1 to 230.65.127.254230.65.127.25516,382
7230.65.128.0/18230.65.128.1 to 230.65.191.254230.65.191.25516,382
8230.65.192.0/18230.65.192.1 to 230.65.255.254230.65.255.25516,382
9230.66.0.0/18230.66.0.1 to 230.66.63.254230.66.63.25516,382
10230.66.64.0/18230.66.64.1 to 230.66.127.254230.66.127.25516,382
11230.66.128.0/18230.66.128.1 to 230.66.191.254230.66.191.25516,382
12230.66.192.0/18230.66.192.1 to 230.66.255.254230.66.255.25516,382
13230.67.0.0/18230.67.0.1 to 230.67.63.254230.67.63.25516,382
14230.67.64.0/18230.67.64.1 to 230.67.127.254230.67.127.25516,382
15230.67.128.0/18230.67.128.1 to 230.67.191.254230.67.191.25516,382
16230.67.192.0/18230.67.192.1 to 230.67.255.254230.67.255.25516,382
17230.68.0.0/18230.68.0.1 to 230.68.63.254230.68.63.25516,382
18230.68.64.0/18230.68.64.1 to 230.68.127.254230.68.127.25516,382
19230.68.128.0/18230.68.128.1 to 230.68.191.254230.68.191.25516,382
20230.68.192.0/18230.68.192.1 to 230.68.255.254230.68.255.25516,382
21230.69.0.0/18230.69.0.1 to 230.69.63.254230.69.63.25516,382
22230.69.64.0/18230.69.64.1 to 230.69.127.254230.69.127.25516,382
23230.69.128.0/18230.69.128.1 to 230.69.191.254230.69.191.25516,382
24230.69.192.0/18230.69.192.1 to 230.69.255.254230.69.255.25516,382
25230.70.0.0/18230.70.0.1 to 230.70.63.254230.70.63.25516,382
26230.70.64.0/18230.70.64.1 to 230.70.127.254230.70.127.25516,382
27230.70.128.0/18230.70.128.1 to 230.70.191.254230.70.191.25516,382
28230.70.192.0/18230.70.192.1 to 230.70.255.254230.70.255.25516,382
29230.71.0.0/18230.71.0.1 to 230.71.63.254230.71.63.25516,382
30230.71.64.0/18230.71.64.1 to 230.71.127.254230.71.127.25516,382
31230.71.128.0/18230.71.128.1 to 230.71.191.254230.71.191.25516,382
32230.71.192.0/18230.71.192.1 to 230.71.255.254230.71.255.25516,382
33230.72.0.0/18230.72.0.1 to 230.72.63.254230.72.63.25516,382
34230.72.64.0/18230.72.64.1 to 230.72.127.254230.72.127.25516,382
35230.72.128.0/18230.72.128.1 to 230.72.191.254230.72.191.25516,382
36230.72.192.0/18230.72.192.1 to 230.72.255.254230.72.255.25516,382
37230.73.0.0/18230.73.0.1 to 230.73.63.254230.73.63.25516,382
38230.73.64.0/18230.73.64.1 to 230.73.127.254230.73.127.25516,382
39230.73.128.0/18230.73.128.1 to 230.73.191.254230.73.191.25516,382
40230.73.192.0/18230.73.192.1 to 230.73.255.254230.73.255.25516,382
41230.74.0.0/18230.74.0.1 to 230.74.63.254230.74.63.25516,382
42230.74.64.0/18230.74.64.1 to 230.74.127.254230.74.127.25516,382
43230.74.128.0/18230.74.128.1 to 230.74.191.254230.74.191.25516,382
44230.74.192.0/18230.74.192.1 to 230.74.255.254230.74.255.25516,382
45230.75.0.0/18230.75.0.1 to 230.75.63.254230.75.63.25516,382
46230.75.64.0/18230.75.64.1 to 230.75.127.254230.75.127.25516,382
47230.75.128.0/18230.75.128.1 to 230.75.191.254230.75.191.25516,382
48230.75.192.0/18230.75.192.1 to 230.75.255.254230.75.255.25516,382
49230.76.0.0/18230.76.0.1 to 230.76.63.254230.76.63.25516,382
50230.76.64.0/18230.76.64.1 to 230.76.127.254230.76.127.25516,382
51230.76.128.0/18230.76.128.1 to 230.76.191.254230.76.191.25516,382
52230.76.192.0/18230.76.192.1 to 230.76.255.254230.76.255.25516,382
53230.77.0.0/18230.77.0.1 to 230.77.63.254230.77.63.25516,382
54230.77.64.0/18230.77.64.1 to 230.77.127.254230.77.127.25516,382
55230.77.128.0/18230.77.128.1 to 230.77.191.254230.77.191.25516,382
56230.77.192.0/18230.77.192.1 to 230.77.255.254230.77.255.25516,382
57230.78.0.0/18230.78.0.1 to 230.78.63.254230.78.63.25516,382
58230.78.64.0/18230.78.64.1 to 230.78.127.254230.78.127.25516,382
59230.78.128.0/18230.78.128.1 to 230.78.191.254230.78.191.25516,382
60230.78.192.0/18230.78.192.1 to 230.78.255.254230.78.255.25516,382
61230.79.0.0/18230.79.0.1 to 230.79.63.254230.79.63.25516,382
62230.79.64.0/18230.79.64.1 to 230.79.127.254230.79.127.25516,382
63230.79.128.0/18230.79.128.1 to 230.79.191.254230.79.191.25516,382
64230.79.192.0/18230.79.192.1 to 230.79.255.254230.79.255.25516,382
65230.80.0.0/18230.80.0.1 to 230.80.63.254230.80.63.25516,382
66230.80.64.0/18230.80.64.1 to 230.80.127.254230.80.127.25516,382
67230.80.128.0/18230.80.128.1 to 230.80.191.254230.80.191.25516,382
68230.80.192.0/18230.80.192.1 to 230.80.255.254230.80.255.25516,382
69230.81.0.0/18230.81.0.1 to 230.81.63.254230.81.63.25516,382
70230.81.64.0/18230.81.64.1 to 230.81.127.254230.81.127.25516,382
71230.81.128.0/18230.81.128.1 to 230.81.191.254230.81.191.25516,382
72230.81.192.0/18230.81.192.1 to 230.81.255.254230.81.255.25516,382
73230.82.0.0/18230.82.0.1 to 230.82.63.254230.82.63.25516,382
74230.82.64.0/18230.82.64.1 to 230.82.127.254230.82.127.25516,382
75230.82.128.0/18230.82.128.1 to 230.82.191.254230.82.191.25516,382
76230.82.192.0/18230.82.192.1 to 230.82.255.254230.82.255.25516,382
77230.83.0.0/18230.83.0.1 to 230.83.63.254230.83.63.25516,382
78230.83.64.0/18230.83.64.1 to 230.83.127.254230.83.127.25516,382
79230.83.128.0/18230.83.128.1 to 230.83.191.254230.83.191.25516,382
80230.83.192.0/18230.83.192.1 to 230.83.255.254230.83.255.25516,382
81230.84.0.0/18230.84.0.1 to 230.84.63.254230.84.63.25516,382
82230.84.64.0/18230.84.64.1 to 230.84.127.254230.84.127.25516,382
83230.84.128.0/18230.84.128.1 to 230.84.191.254230.84.191.25516,382
84230.84.192.0/18230.84.192.1 to 230.84.255.254230.84.255.25516,382
85230.85.0.0/18230.85.0.1 to 230.85.63.254230.85.63.25516,382
86230.85.64.0/18230.85.64.1 to 230.85.127.254230.85.127.25516,382
87230.85.128.0/18230.85.128.1 to 230.85.191.254230.85.191.25516,382
88230.85.192.0/18230.85.192.1 to 230.85.255.254230.85.255.25516,382
89230.86.0.0/18230.86.0.1 to 230.86.63.254230.86.63.25516,382
90230.86.64.0/18230.86.64.1 to 230.86.127.254230.86.127.25516,382
91230.86.128.0/18230.86.128.1 to 230.86.191.254230.86.191.25516,382
92230.86.192.0/18230.86.192.1 to 230.86.255.254230.86.255.25516,382
93230.87.0.0/18230.87.0.1 to 230.87.63.254230.87.63.25516,382
94230.87.64.0/18230.87.64.1 to 230.87.127.254230.87.127.25516,382
95230.87.128.0/18230.87.128.1 to 230.87.191.254230.87.191.25516,382
96230.87.192.0/18230.87.192.1 to 230.87.255.254230.87.255.25516,382
97230.88.0.0/18230.88.0.1 to 230.88.63.254230.88.63.25516,382
98230.88.64.0/18230.88.64.1 to 230.88.127.254230.88.127.25516,382
99230.88.128.0/18230.88.128.1 to 230.88.191.254230.88.191.25516,382
100230.88.192.0/18230.88.192.1 to 230.88.255.254230.88.255.25516,382
101230.89.0.0/18230.89.0.1 to 230.89.63.254230.89.63.25516,382
102230.89.64.0/18230.89.64.1 to 230.89.127.254230.89.127.25516,382
103230.89.128.0/18230.89.128.1 to 230.89.191.254230.89.191.25516,382
104230.89.192.0/18230.89.192.1 to 230.89.255.254230.89.255.25516,382
105230.90.0.0/18230.90.0.1 to 230.90.63.254230.90.63.25516,382
106230.90.64.0/18230.90.64.1 to 230.90.127.254230.90.127.25516,382
107230.90.128.0/18230.90.128.1 to 230.90.191.254230.90.191.25516,382
108230.90.192.0/18230.90.192.1 to 230.90.255.254230.90.255.25516,382
109230.91.0.0/18230.91.0.1 to 230.91.63.254230.91.63.25516,382
110230.91.64.0/18230.91.64.1 to 230.91.127.254230.91.127.25516,382
111230.91.128.0/18230.91.128.1 to 230.91.191.254230.91.191.25516,382
112230.91.192.0/18230.91.192.1 to 230.91.255.254230.91.255.25516,382
113230.92.0.0/18230.92.0.1 to 230.92.63.254230.92.63.25516,382
114230.92.64.0/18230.92.64.1 to 230.92.127.254230.92.127.25516,382
115230.92.128.0/18230.92.128.1 to 230.92.191.254230.92.191.25516,382
116230.92.192.0/18230.92.192.1 to 230.92.255.254230.92.255.25516,382
117230.93.0.0/18230.93.0.1 to 230.93.63.254230.93.63.25516,382
118230.93.64.0/18230.93.64.1 to 230.93.127.254230.93.127.25516,382
119230.93.128.0/18230.93.128.1 to 230.93.191.254230.93.191.25516,382
120230.93.192.0/18230.93.192.1 to 230.93.255.254230.93.255.25516,382
121230.94.0.0/18230.94.0.1 to 230.94.63.254230.94.63.25516,382
122230.94.64.0/18230.94.64.1 to 230.94.127.254230.94.127.25516,382
123230.94.128.0/18230.94.128.1 to 230.94.191.254230.94.191.25516,382
124230.94.192.0/18230.94.192.1 to 230.94.255.254230.94.255.25516,382
125230.95.0.0/18230.95.0.1 to 230.95.63.254230.95.63.25516,382
126230.95.64.0/18230.95.64.1 to 230.95.127.254230.95.127.25516,382
127230.95.128.0/18230.95.128.1 to 230.95.191.254230.95.191.25516,382
128230.95.192.0/18230.95.192.1 to 230.95.255.254230.95.255.25516,382
129230.96.0.0/18230.96.0.1 to 230.96.63.254230.96.63.25516,382
130230.96.64.0/18230.96.64.1 to 230.96.127.254230.96.127.25516,382
131230.96.128.0/18230.96.128.1 to 230.96.191.254230.96.191.25516,382
132230.96.192.0/18230.96.192.1 to 230.96.255.254230.96.255.25516,382
133230.97.0.0/18230.97.0.1 to 230.97.63.254230.97.63.25516,382
134230.97.64.0/18230.97.64.1 to 230.97.127.254230.97.127.25516,382
135230.97.128.0/18230.97.128.1 to 230.97.191.254230.97.191.25516,382
136230.97.192.0/18230.97.192.1 to 230.97.255.254230.97.255.25516,382
137230.98.0.0/18230.98.0.1 to 230.98.63.254230.98.63.25516,382
138230.98.64.0/18230.98.64.1 to 230.98.127.254230.98.127.25516,382
139230.98.128.0/18230.98.128.1 to 230.98.191.254230.98.191.25516,382
140230.98.192.0/18230.98.192.1 to 230.98.255.254230.98.255.25516,382
141230.99.0.0/18230.99.0.1 to 230.99.63.254230.99.63.25516,382
142230.99.64.0/18230.99.64.1 to 230.99.127.254230.99.127.25516,382
143230.99.128.0/18230.99.128.1 to 230.99.191.254230.99.191.25516,382
144230.99.192.0/18230.99.192.1 to 230.99.255.254230.99.255.25516,382
145230.100.0.0/18230.100.0.1 to 230.100.63.254230.100.63.25516,382
146230.100.64.0/18230.100.64.1 to 230.100.127.254230.100.127.25516,382
147230.100.128.0/18230.100.128.1 to 230.100.191.254230.100.191.25516,382
148230.100.192.0/18230.100.192.1 to 230.100.255.254230.100.255.25516,382
149230.101.0.0/18230.101.0.1 to 230.101.63.254230.101.63.25516,382
150230.101.64.0/18230.101.64.1 to 230.101.127.254230.101.127.25516,382
151230.101.128.0/18230.101.128.1 to 230.101.191.254230.101.191.25516,382
152230.101.192.0/18230.101.192.1 to 230.101.255.254230.101.255.25516,382
153230.102.0.0/18230.102.0.1 to 230.102.63.254230.102.63.25516,382
154230.102.64.0/18230.102.64.1 to 230.102.127.254230.102.127.25516,382
155230.102.128.0/18230.102.128.1 to 230.102.191.254230.102.191.25516,382
156230.102.192.0/18230.102.192.1 to 230.102.255.254230.102.255.25516,382
157230.103.0.0/18230.103.0.1 to 230.103.63.254230.103.63.25516,382
158230.103.64.0/18230.103.64.1 to 230.103.127.254230.103.127.25516,382
159230.103.128.0/18230.103.128.1 to 230.103.191.254230.103.191.25516,382
160230.103.192.0/18230.103.192.1 to 230.103.255.254230.103.255.25516,382
161230.104.0.0/18230.104.0.1 to 230.104.63.254230.104.63.25516,382
162230.104.64.0/18230.104.64.1 to 230.104.127.254230.104.127.25516,382
163230.104.128.0/18230.104.128.1 to 230.104.191.254230.104.191.25516,382
164230.104.192.0/18230.104.192.1 to 230.104.255.254230.104.255.25516,382
165230.105.0.0/18230.105.0.1 to 230.105.63.254230.105.63.25516,382
166230.105.64.0/18230.105.64.1 to 230.105.127.254230.105.127.25516,382
167230.105.128.0/18230.105.128.1 to 230.105.191.254230.105.191.25516,382
168230.105.192.0/18230.105.192.1 to 230.105.255.254230.105.255.25516,382
169230.106.0.0/18230.106.0.1 to 230.106.63.254230.106.63.25516,382
170230.106.64.0/18230.106.64.1 to 230.106.127.254230.106.127.25516,382
171230.106.128.0/18230.106.128.1 to 230.106.191.254230.106.191.25516,382
172230.106.192.0/18230.106.192.1 to 230.106.255.254230.106.255.25516,382
173230.107.0.0/18230.107.0.1 to 230.107.63.254230.107.63.25516,382
174230.107.64.0/18230.107.64.1 to 230.107.127.254230.107.127.25516,382
175230.107.128.0/18230.107.128.1 to 230.107.191.254230.107.191.25516,382
176230.107.192.0/18230.107.192.1 to 230.107.255.254230.107.255.25516,382
177230.108.0.0/18230.108.0.1 to 230.108.63.254230.108.63.25516,382
178230.108.64.0/18230.108.64.1 to 230.108.127.254230.108.127.25516,382
179230.108.128.0/18230.108.128.1 to 230.108.191.254230.108.191.25516,382
180230.108.192.0/18230.108.192.1 to 230.108.255.254230.108.255.25516,382
181230.109.0.0/18230.109.0.1 to 230.109.63.254230.109.63.25516,382
182230.109.64.0/18230.109.64.1 to 230.109.127.254230.109.127.25516,382
183230.109.128.0/18230.109.128.1 to 230.109.191.254230.109.191.25516,382
184230.109.192.0/18230.109.192.1 to 230.109.255.254230.109.255.25516,382
185230.110.0.0/18230.110.0.1 to 230.110.63.254230.110.63.25516,382
186230.110.64.0/18230.110.64.1 to 230.110.127.254230.110.127.25516,382
187230.110.128.0/18230.110.128.1 to 230.110.191.254230.110.191.25516,382
188230.110.192.0/18230.110.192.1 to 230.110.255.254230.110.255.25516,382
189230.111.0.0/18230.111.0.1 to 230.111.63.254230.111.63.25516,382
190230.111.64.0/18230.111.64.1 to 230.111.127.254230.111.127.25516,382
191230.111.128.0/18230.111.128.1 to 230.111.191.254230.111.191.25516,382
192230.111.192.0/18230.111.192.1 to 230.111.255.254230.111.255.25516,382
193230.112.0.0/18230.112.0.1 to 230.112.63.254230.112.63.25516,382
194230.112.64.0/18230.112.64.1 to 230.112.127.254230.112.127.25516,382
195230.112.128.0/18230.112.128.1 to 230.112.191.254230.112.191.25516,382
196230.112.192.0/18230.112.192.1 to 230.112.255.254230.112.255.25516,382
197230.113.0.0/18230.113.0.1 to 230.113.63.254230.113.63.25516,382
198230.113.64.0/18230.113.64.1 to 230.113.127.254230.113.127.25516,382
199230.113.128.0/18230.113.128.1 to 230.113.191.254230.113.191.25516,382
200230.113.192.0/18230.113.192.1 to 230.113.255.254230.113.255.25516,382
201230.114.0.0/18230.114.0.1 to 230.114.63.254230.114.63.25516,382
202230.114.64.0/18230.114.64.1 to 230.114.127.254230.114.127.25516,382
203230.114.128.0/18230.114.128.1 to 230.114.191.254230.114.191.25516,382
204230.114.192.0/18230.114.192.1 to 230.114.255.254230.114.255.25516,382
205230.115.0.0/18230.115.0.1 to 230.115.63.254230.115.63.25516,382
206230.115.64.0/18230.115.64.1 to 230.115.127.254230.115.127.25516,382
207230.115.128.0/18230.115.128.1 to 230.115.191.254230.115.191.25516,382
208230.115.192.0/18230.115.192.1 to 230.115.255.254230.115.255.25516,382
209230.116.0.0/18230.116.0.1 to 230.116.63.254230.116.63.25516,382
210230.116.64.0/18230.116.64.1 to 230.116.127.254230.116.127.25516,382
211230.116.128.0/18230.116.128.1 to 230.116.191.254230.116.191.25516,382
212230.116.192.0/18230.116.192.1 to 230.116.255.254230.116.255.25516,382
213230.117.0.0/18230.117.0.1 to 230.117.63.254230.117.63.25516,382
214230.117.64.0/18230.117.64.1 to 230.117.127.254230.117.127.25516,382
215230.117.128.0/18230.117.128.1 to 230.117.191.254230.117.191.25516,382
216230.117.192.0/18230.117.192.1 to 230.117.255.254230.117.255.25516,382
217230.118.0.0/18230.118.0.1 to 230.118.63.254230.118.63.25516,382
218230.118.64.0/18230.118.64.1 to 230.118.127.254230.118.127.25516,382
219230.118.128.0/18230.118.128.1 to 230.118.191.254230.118.191.25516,382
220230.118.192.0/18230.118.192.1 to 230.118.255.254230.118.255.25516,382
221230.119.0.0/18230.119.0.1 to 230.119.63.254230.119.63.25516,382
222230.119.64.0/18230.119.64.1 to 230.119.127.254230.119.127.25516,382
223230.119.128.0/18230.119.128.1 to 230.119.191.254230.119.191.25516,382
224230.119.192.0/18230.119.192.1 to 230.119.255.254230.119.255.25516,382
225230.120.0.0/18230.120.0.1 to 230.120.63.254230.120.63.25516,382
226230.120.64.0/18230.120.64.1 to 230.120.127.254230.120.127.25516,382
227230.120.128.0/18230.120.128.1 to 230.120.191.254230.120.191.25516,382
228230.120.192.0/18230.120.192.1 to 230.120.255.254230.120.255.25516,382
229230.121.0.0/18230.121.0.1 to 230.121.63.254230.121.63.25516,382
230230.121.64.0/18230.121.64.1 to 230.121.127.254230.121.127.25516,382
231230.121.128.0/18230.121.128.1 to 230.121.191.254230.121.191.25516,382
232230.121.192.0/18230.121.192.1 to 230.121.255.254230.121.255.25516,382
233230.122.0.0/18230.122.0.1 to 230.122.63.254230.122.63.25516,382
234230.122.64.0/18230.122.64.1 to 230.122.127.254230.122.127.25516,382
235230.122.128.0/18230.122.128.1 to 230.122.191.254230.122.191.25516,382
236230.122.192.0/18230.122.192.1 to 230.122.255.254230.122.255.25516,382
237230.123.0.0/18230.123.0.1 to 230.123.63.254230.123.63.25516,382
238230.123.64.0/18230.123.64.1 to 230.123.127.254230.123.127.25516,382
239230.123.128.0/18230.123.128.1 to 230.123.191.254230.123.191.25516,382
240230.123.192.0/18230.123.192.1 to 230.123.255.254230.123.255.25516,382
241230.124.0.0/18230.124.0.1 to 230.124.63.254230.124.63.25516,382
242230.124.64.0/18230.124.64.1 to 230.124.127.254230.124.127.25516,382
243230.124.128.0/18230.124.128.1 to 230.124.191.254230.124.191.25516,382
244230.124.192.0/18230.124.192.1 to 230.124.255.254230.124.255.25516,382
245230.125.0.0/18230.125.0.1 to 230.125.63.254230.125.63.25516,382
246230.125.64.0/18230.125.64.1 to 230.125.127.254230.125.127.25516,382
247230.125.128.0/18230.125.128.1 to 230.125.191.254230.125.191.25516,382
248230.125.192.0/18230.125.192.1 to 230.125.255.254230.125.255.25516,382
249230.126.0.0/18230.126.0.1 to 230.126.63.254230.126.63.25516,382
250230.126.64.0/18230.126.64.1 to 230.126.127.254230.126.127.25516,382
251230.126.128.0/18230.126.128.1 to 230.126.191.254230.126.191.25516,382
252230.126.192.0/18230.126.192.1 to 230.126.255.254230.126.255.25516,382
253230.127.0.0/18230.127.0.1 to 230.127.63.254230.127.63.25516,382
254230.127.64.0/18230.127.64.1 to 230.127.127.254230.127.127.25516,382
255230.127.128.0/18230.127.128.1 to 230.127.191.254230.127.191.25516,382
256230.127.192.0/18230.127.192.1 to 230.127.255.254230.127.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses